> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Export Tickets

> Export tickets to CSV.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/tickets/export
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/tickets/export:
    get:
      tags:
        - Tickets
      summary: Export Tickets
      description: Export tickets to CSV.
      operationId: core_api_v1_controllers_tickets_export_tickets
      parameters:
        - in: query
          name: status
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
          required: false
        - in: query
          name: priority
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Priority
          required: false
        - in: query
          name: start_date
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Start Date
          required: false
        - in: query
          name: end_date
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: End Date
          required: false
        - in: query
          name: search
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
          required: false
      responses:
        '200':
          description: OK
      security:
        - ScopedAPIKeyAuth: []
components:
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````